summaryrefslogtreecommitdiffstats
path: root/system/gnu-unifont
diff options
context:
space:
mode:
Diffstat (limited to 'system/gnu-unifont')
-rw-r--r--system/gnu-unifont/README4
-rw-r--r--system/gnu-unifont/doinst.sh9
-rw-r--r--system/gnu-unifont/gnu-unifont.SlackBuild60
-rw-r--r--system/gnu-unifont/gnu-unifont.info12
-rw-r--r--system/gnu-unifont/slack-desc19
5 files changed, 104 insertions, 0 deletions
diff --git a/system/gnu-unifont/README b/system/gnu-unifont/README
new file mode 100644
index 0000000000..0cfd272d3e
--- /dev/null
+++ b/system/gnu-unifont/README
@@ -0,0 +1,4 @@
+The GNU unifont has a glyph for every printable code point in the
+Unicode Basic Multilinguial Plane(BMP). The BMP is the first Unicode
+"plane" of 65,536(16bit) code points, and includes character encoding
+for most of the world's modern scripts.
diff --git a/system/gnu-unifont/doinst.sh b/system/gnu-unifont/doinst.sh
new file mode 100644
index 0000000000..2822cf238c
--- /dev/null
+++ b/system/gnu-unifont/doinst.sh
@@ -0,0 +1,9 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/misc ; mkfontscale . ; mkfontdir . )
+ ( cd /usr/share/fonts/TTF ; mkfontscale . ; mkfontdir . )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/gnu-unifont/gnu-unifont.SlackBuild b/system/gnu-unifont/gnu-unifont.SlackBuild
new file mode 100644
index 0000000000..8f4514e20d
--- /dev/null
+++ b/system/gnu-unifont/gnu-unifont.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for gnu-unifont
+
+# Copyright 2010 crocket (crockabiscuit@gmail.com)
+# Copyright 2013 LukenShiro, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnu-unifont
+VERSION=${VERSION:-6.3.20131020}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=unifont
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+mkdir -p $PKG/usr/share/fonts/{misc,TTF}
+cat $CWD/$SRCNAM-$VERSION.pcf.gz \
+ > $PKG/usr/share/fonts/misc/$SRCNAM.pcf.gz
+# Decompress .ttf.gz since some programs using ttf fonts don't recognize .ttf.gz
+zcat $CWD/$SRCNAM-$VERSION.ttf.gz \
+ > $PKG/usr/share/fonts/TTF/$SRCNAM.ttf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gnu-unifont/gnu-unifont.info b/system/gnu-unifont/gnu-unifont.info
new file mode 100644
index 0000000000..07ecac8829
--- /dev/null
+++ b/system/gnu-unifont/gnu-unifont.info
@@ -0,0 +1,12 @@
+PRGNAM="gnu-unifont"
+VERSION="6.3.20131020"
+HOMEPAGE="http://unifoundry.com/unifont.html"
+DOWNLOAD="http://unifoundry.com/pub/unifont-6.3.20131020/font-builds/unifont-6.3.20131020.ttf.gz \
+ http://unifoundry.com/pub/unifont-6.3.20131020/font-builds/unifont-6.3.20131020.pcf.gz"
+MD5SUM="39838f91e9638655481913685fd02c44 \
+ 0a54834d2788c83886a3e1785a6a1e61"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
diff --git a/system/gnu-unifont/slack-desc b/system/gnu-unifont/slack-desc
new file mode 100644
index 0000000000..3c3c36c945
--- /dev/null
+++ b/system/gnu-unifont/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnu-unifont: gnu-unifont (Font containing Unicode BMP)
+gnu-unifont:
+gnu-unifont: The GNU unifont has a glyph for every printable code point in the
+gnu-unifont: Unicode Basic Multilinguial Plane (BMP). The BMP is the first
+gnu-unifont: Unicode "plane" of 65,536(16bit) code points, and includes character
+gnu-unifont: encoding for most of the world's modern scripts.
+gnu-unifont:
+gnu-unifont: Homepage: http://unifoundry.com/unifont.html
+gnu-unifont:
+gnu-unifont:
+gnu-unifont: